## ibus-chewing 1.2.0.20091211

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,14 +45,14 @@
 #==================================================================
 # Developer setting.
 #
-SET(CVS_DIST_TAGS F-10 F-11)
+SET(CVS_DIST_TAGS F-11 F-12)
 SET(HOSTING_SERVICE_PROVIDER "GitHub")
 SET(DEVELOPER_SETTING_FILE "DEVELOPER_SETTING_NO_PACK")
 SET(DEVELOPER_DEPENDS UploadPkg.batch.in)
-ADD_CUSTOM_TARGET(commit
-    COMMAND git commit -a -m "${CHANGE_SUMMARY}"
-    COMMAND git tag -a "${PRJ_VER}" -m "Ver ${PRJ_VER}"
+ADD_CUSTOM_TARGET(tag
+    COMMAND git tag -a "${PRJ_VER}" -m "Ver ${PRJ_VER}" HEAD
     COMMENT "Commit and tag the changes"
+    VERBATIM
     )
 
 
@@ -97,7 +97,7 @@
 ELSE()
     MESSAGE("IBus compatible version: ${IBUS_COMPAT_VERSION}")
 ENDIF()
-PKG_CHECK_MODULES(XTST REQUIRED xtst)
+PKG_CHECK_MODULES(XTST REQUIRED xtst x11)
 
 PKG_CHECK_MODULES(CHEWING chewing>=0.3.2)
 COMMAND_OUTPUT_TO_VARIABLE(CHEWING_DATADIR ${PKG_CONFIG_EXECUTABLE} --variable=datadir chewing)
@@ -145,10 +145,13 @@
 
 SET(CPACK_RESOURCE_FILE_LICENSE
     ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
+
+# GOB_GENERATED source codes are not excluded,
+# in order to avoid Bug 519108.
+# https://bugzilla.redhat.com/show_bug.cgi?id=519108
 SET(PRJ_COMMON_IGNORE_FILES
     "/docs/"
     "\\\\.cache$"  "\\\\.spec$"
-    "ibus-chewing-engine.*\\\\.[ch]$" "maker-dialog.*\\\\.[ch]$"
     "messages.po$"
 )
 
@@ -159,5 +162,6 @@
 
 INCLUDE(CPack)
 
-ADD_DEPENDENCIES(pack_src pot_file)
+# Avoid [Bug 519108]: [gob2] class and enum names convert incorrectly in mock / koji.
+ADD_DEPENDENCIES(pack_src pot_file gob2)
