=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Build-Depends: debhelper (>= 7), 
 cmake,
 gob2,
 pkg-config, 
 libchewing3-dev (>= 0.3.2-2~), 
 libgconf2-dev,
 libibus-dev (>= 1.2),
 libgtk2.0-dev,
 libx11-dev,
 libxtst-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/ibus
Vcs-Bzr: lp:~lidaobing/ibus/ibus-chewing
Vcs-Browser: https://code.launchpad.net/~lidaobing/ibus/ibus-chewing

Package: ibus-chewing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.2), 
 libchewing3 (>= 0.3.2-2~) 
Description: chewing input engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IM Engine for Traditional Chinese, based on IBus.
