=== debian/watch ===
version=3
http://code.google.com/p/ibus/downloads/list \
http://ibus.googlecode.com/files/ibus-chewing-([0-9].*)-Source\.tar\.gz
