## ibus-chewing 1.3.5.20100706

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Project basic information
 ####################################################################
 PROJECT(ibus-chewing)
-SET(PROJECT_DESCRIPTION chewing Chinese IME for iBus)
+SET(PROJECT_DESCRIPTION "The Chewing engine for IBus input platform")
 SET(CMAKE_C_FLAGS "-Wall")
 
 SET(RELEASE_FILE ${CMAKE_SOURCE_DIR}/RELEASE-NOTES.txt)
@@ -45,11 +45,11 @@
 #==================================================================
 # Developer setting.
 #
-SET(CVS_DIST_TAGS F-11 F-12)
 SET(HOSTING_SERVICE_PROVIDER "GitHub")
 SET(DEVELOPER_SETTING_FILE "DEVELOPER_SETTING_NO_PACK")
 SET(DEVELOPER_DEPENDS UploadPkg.batch.in)
-ADD_CUSTOM_TARGET(tag
+ADD_CUSTOM_TARGET(commit
+    COMMAND git commit -a -m "${CHANGE_SUMMARY}"
     COMMAND git tag -a "${PRJ_VER}" -m "Ver ${PRJ_VER}" HEAD
     COMMENT "Commit and tag the changes"
     VERBATIM
@@ -90,12 +90,19 @@
 FIND_PACKAGE(PkgConfig)
 PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0)
 PKG_CHECK_MODULES(IBUS REQUIRED ibus-1.0)
-STRING(REGEX MATCH "[1-9][0-9]*\\.[1-9][0-9]*" IBUS_COMPAT_VERSION "${IBUS_VERSION}")
-IF( IBUS_COMPAT_VERSION STREQUAL 1.1)
+STRING(REGEX MATCH "[1-9][0-9]*\\.[1-9][0-9]*\\.[0-9]*" IBUS_COMPAT_VERSION "${IBUS_VERSION}")
+MESSAGE("IBUS_VERSION=${IBUS_VERSION} IBUS_COMPAT_VERSION=${IBUS_COMPAT_VERSION}")
+IF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.98 )
+    MESSAGE("IBus 1.3 detected!")
+    ADD_DEFINITIONS(-DIBUS_1_3)
+ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.1.98 )
+    MESSAGE("IBus 1.2 detected!")
+    ADD_DEFINITIONS(-DIBUS_1_2)
+ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.0.98 )
     MESSAGE("IBus 1.1 detected!")
     ADD_DEFINITIONS(-DIBUS_1_1)
 ELSE()
-    MESSAGE("IBus compatible version: ${IBUS_COMPAT_VERSION}")
+    MESSAGE(FATAL "IBus development package is not installed!")
 ENDIF()
 PKG_CHECK_MODULES(XTST REQUIRED xtst x11)
 
@@ -146,13 +153,17 @@
 SET(CPACK_RESOURCE_FILE_LICENSE
     ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
 
-# GOB_GENERATED source codes are not excluded,
-# in order to avoid Bug 519108.
-# https://bugzilla.redhat.com/show_bug.cgi?id=519108
 SET(PRJ_COMMON_IGNORE_FILES
     "/docs/"
     "\\\\.cache$"  "\\\\.spec$"
     "messages.po$"
+)
+
+# GOB_GENERATED source codes are now excluded,
+# As Bug 519108 (https://bugzilla.redhat.com/show_bug.cgi?id=519108)
+# Is fixed from Fedora 11
+SET(PRJ_COMMON_IGNORE_FILES
+    ${PRJ_COMMON_IGNORE_FILES} "src/maker-dialog.*\\\\.[ch]" "src/ibus-chewing-engine.*\\\\.[ch]"
 )
 
 SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_SOURCE_IGNORE_FILES} ${PRJ_COMMON_IGNORE_FILES} "/bin/"
