=== po/CMakeLists.txt ===
# Translated languages.
SET(SOURCES_I18N ../src/IBusChewingEngine.gob ../src/IBusChewingEngine-def.c ../src/main.c)

IF (XGETTEXT_FOUND)
    GETTEXT_CREATE_POT(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot OPTION ${XGETTEXT_OPTIONS} SRC ${SOURCES_I18N})
    GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot ALL ${TRANSLATED}
	COMMENT "Creating translations.")
ENDIF()
