=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,12 @@
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
+ADD_CUSTOM_TARGET(gob2
+    DEPENDS ${GOB_GENERATED}
+    COMMENT "Preprocess with gob2."
+)
+
+
 SET_SOURCE_FILES_PROPERTIES(${GOB_GENERATED}
     PROPERTIES GENERATED TRUE)
 
@@ -36,19 +42,12 @@
     generate-gconf-schemas.c
     maker-dialog.c
     )
-ADD_EXECUTABLE(dialogTest dialogTest.c
-    maker-dialog.c
-    )
 
 # Link the executable to the library.
 TARGET_LINK_LIBRARIES(ibus-engine-chewing ${GTK2_LIBRARIES} ${IBUS_LIBRARIES}
-    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${X11_LIBRARIES} ${XTST_LIBRARIES})
+    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${XTST_LIBRARIES})
 
 TARGET_LINK_LIBRARIES(generate-gconf-schemas ${GTK2_LIBRARIES})
-
-TARGET_LINK_LIBRARIES(dialogTest ${GTK2_LIBRARIES} ${IBUS_LIBRARIES}
-    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${X11_LIBRARIES} ${XTST_LIBRARIES})
-
 
 IF(NOT DEFINED LIB_INSTALL_DIR)
     IF( $ENV{MACHTYPE} MATCHES "64")
