=== debian/changelog ===
ibus-chewing (1.3.5.20100706-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/control: bump standards version to 3.9.0

 -- LI Daobing <lidaobing@debian.org>  Thu, 08 Jul 2010 16:17:52 +0800

ibus-chewing (1.3.4.20100608-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Wed, 09 Jun 2010 23:46:47 +0800

ibus-chewing (1.3.4.20100605-1) unstable; urgency=low

  [ Asias He ]
  * debian/control:
    - set maintainer to pkg-ime, add LI Daobing <lidaobing@debian.org> 
      & Asias He <asias.hejun@gmail.com> to uploaders.
    - update Vcs-* fields.
  * New upstream release.

  [ LI Daobing ]
  * debian/control: build depends on gob2 (>= 2.0.17) 

 -- LI Daobing <lidaobing@debian.org>  Mon, 07 Jun 2010 21:25:30 +0800

ibus-chewing (1.2.99.20100317-2) unstable; urgency=low

  * move to unstable.

 -- LI Daobing <lidaobing@debian.org>  Sat, 03 Apr 2010 20:40:30 +0800

ibus-chewing (1.2.99.20100317-1) experimental; urgency=low

  * New upstream release.
  * debian/control: switch to ibus 1.3 
  * debian/control: bump standards version to 3.8.4

 -- LI Daobing <lidaobing@debian.org>  Sun, 21 Mar 2010 18:58:05 +0800
