=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	cmake -DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
		-DLIBEXEC_DIR=/usr/lib/ibus-chewing .
	dh build
	touch $@

clean:
	dh $@
	rm -rf bin po/CMakeFiles CMakeFiles obj-i486-linux-gnu

install: build install-stamp
install-stamp:
	dh install --before dh_gconf
	mkdir -p $(CURDIR)/debian/ibus-chewing/usr/lib/ibus-chewing/
	rm -rf $(CURDIR)/debian/ibus-chewing/usr/libexec/
	dh install --remaining
	touch $@

binary-arch: install
	dh $@

binary-indep: install
	dh $@

binary: binary-arch binary-indep
.PHONY: build clean install binary-arch binary-indep binary
