## ibus-chewing 1.3.6.20100730

=== CMakeLists.txt ===
--- 
+++ 
@@ -92,15 +92,18 @@
 PKG_CHECK_MODULES(IBUS REQUIRED ibus-1.0)
 STRING(REGEX MATCH "[1-9][0-9]*\\.[1-9][0-9]*\\.[0-9]*" IBUS_COMPAT_VERSION "${IBUS_VERSION}")
 MESSAGE("IBUS_VERSION=${IBUS_VERSION} IBUS_COMPAT_VERSION=${IBUS_COMPAT_VERSION}")
-IF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.98 )
-    MESSAGE("IBus 1.3 detected!")
-    ADD_DEFINITIONS(-DIBUS_1_3)
+IF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.999 )
+    ADD_DEFINITIONS(-DIBUS_VERSION=10300)
+    MESSAGE("IBus 1.3 detected! -DIBUS_VERSION=10300")
+ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.98 )
+    ADD_DEFINITIONS(-DIBUS_VERSION=10299)
+    MESSAGE("IBus 1.2.99 detected! -DIBUS_VERSION=10299")
 ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.1.98 )
-    MESSAGE("IBus 1.2 detected!")
-    ADD_DEFINITIONS(-DIBUS_1_2)
+    ADD_DEFINITIONS(-DIBUS_VERSION=10200)
+    MESSAGE("IBus 1.2 detected! -DIBUS_VERSION=10200")
 ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.0.98 )
-    MESSAGE("IBus 1.1 detected!")
-    ADD_DEFINITIONS(-DIBUS_1_1)
+    ADD_DEFINITIONS(-DIBUS_VERSION=10100)
+    MESSAGE("IBus 1.1 detected! -DIBUS_VERSION=10100")
 ELSE()
     MESSAGE(FATAL "IBus development package is not installed!")
 ENDIF()
