=== debian/changelog ===
ibus-chewing (1.3.6.20100730-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/docs: removed NEWS.
  * debian/control: bump standards version to 3.9.1

 -- LI Daobing <lidaobing@debian.org>  Sat, 31 Jul 2010 22:20:38 +0800
