=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libgtk2.0-dev,
  libx11-dev,
  libxtst-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/ibus
 Vcs-Bzr: lp:~pkg-ime/ibus/debian-ibus-chewing
 Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-ibus-chewing
