=== po/CMakeLists.txt ===
# Translated languages.
SET(SOURCES_I18N ../src/IBusChewingEngine.gob ../src/IBusChewingEngine-def.c ../src/main.c)

GETTEXT_CREATE_POT(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot OPTIONS ${XGETTEXT_OPTIONS_C} SRC ${SOURCES_I18N})
GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot ALL ${TRANSLATED}
    COMMENT "Creating translations.")
