=== debian/changelog ===
ibus-chewing (1.3.9.2-3ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/IBusChewingEngine-def-fix-SIGSEGV-on-preference-save.patch:
    Fix misuse of g_value_get_gtype in g_value_to_g_variant. (LP: #874028)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Mon, 17 Oct 2011 14:06:19 +0300

ibus-chewing (1.3.9.2-3ubuntu1) oneiric; urgency=low

  * debian/patches/escape-to-close-candidate-window-on-plain-
     zhuyin.patch: Fix plain zhuyin with space as selection problem.
     (https://github.com/definite/ibus-chewing/pull/8/) (LP: #843619)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Wed, 07 Sep 2011 10:38:32 +0200

ibus-chewing (1.3.9.2-3) unstable; urgency=low

  * Fix "ibus-chewing has annoying pop-up when enabling IME, causing
    focus to change" (Closes: #630331)

 -- Asias He <asias.hejun@gmail.com>  Tue, 06 Sep 2011 16:25:52 +0800

ibus-chewing (1.3.9.2-2) unstable; urgency=low

  * Fix "Cannot close candidate window with escape key since selected
    tone" (Closes: #619604)
  * Set Vcs to git.debian.org
  * Set DM-Upload-Allowed to yes

 -- Asias He <asias.hejun@gmail.com>  Mon, 28 Mar 2011 14:14:16 +0800

ibus-chewing (1.3.9.2-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/rules: delete /usr/share/doc/ibus-chewing-*/COPYING.gz

  [ LI Daobing ]
  * debian/rules: fix doc install place
  * debian/control: build depends on debhelper >= 7.0.50~ 
  * debian/docs: updated 
  * debian/clean: updated

 -- LI Daobing <lidaobing@debian.org>  Sun, 05 Dec 2010 16:25:41 +0800

ibus-chewing (1.3.7.20100910-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/watch: use googlecode.debian.net

  [ LI Daobing ]
  * debian/rules: fix install path of gconf.
  * debian/clean: updated. 
  * debian/control: build depends on rpm. 

 -- LI Daobing <lidaobing@debian.org>  Mon, 13 Sep 2010 23:05:30 +0800
