=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), 
 cmake,
 gob2 (>= 2.0.17),
 pkg-config, 
 libchewing3-dev (>= 0.3.2-2~), 
 libgconf2-dev,
 libibus-1.0-dev (>= 1.3.99.20110419),
 libgtk2.0-dev,
 libx11-dev,
 libxtst-dev,
 rpm,
 quilt (>= 0.46-7~)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ibus
Vcs-Git: git://git.debian.org/pkg-ime/ibus-chewing.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-chewing.git

Package: ibus-chewing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.3.99.20110419), 
Description: Chewing engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IBus based IM Engine for Traditional Chinese
