=== debian/watch ===
version=3
http://googlecode.debian.net/p/ibus/ibus-chewing-([\d.]+)-Source\.tar\.gz
