## ibus-chewing 1.3.10+clean

=== debian/changelog ===
ibus-chewing (1.3.10+clean-3build1) quantal; urgency=low

  * No change rebuild with the current ibus version (lp: #1028746)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 23:32:24 +0200

ibus-chewing (1.3.10+clean-3) unstable; urgency=low

  [ YunQiang Su ]
  * fix quote_me of LIBCHEWING_DATA_DIR.
  * back and restore po files.
  * don't remove Modules when auto_clean.
  * Rebuild to work with multiarched libchewing (Closese: #668540).

  [ Asias He ]
  * Bump Standards-Version to 3.9.3

 -- Asias He <asias.hejun@gmail.com>  Sat, 14 Apr 2012 16:19:51 +0800

ibus-chewing (1.3.10+clean-2) unstable; urgency=low

  * Fixed annoying pop-up when enabling IME, causing focus to change.
    Thanks Ruei-Yuan. Closes: #660863
  * Fixed FTBFS to sync with ibus 1.4.1.  Thanks Daisuke.
    Closes: #661618

 -- Osamu Aoki <osamu@debian.org>  Sun, 04 Mar 2012 00:49:22 +0900

ibus-chewing (1.3.10+clean-1) unstable; urgency=low

  * New upstream release. 
  * All Debian patcheds dropped.
  * Add Osamu as uploaders.
  * Repackaged upstream tar with normal tar and removing .swo

 -- Osamu Aoki <osamu@debian.org>  Mon, 26 Dec 2011 00:17:58 +0900
