=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ibus-chewing
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Uploaders: LI Daobing <lidaobing@debian.org>, 
+ Asias He <asias.hejun@gmail.com>,
+ Osamu Aoki <osamu@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), 
  cmake,
@@ -14,10 +15,8 @@
  libibus-1.0-dev (>= 1.3.99.20110419),
  libgtk2.0-dev,
  libx11-dev,
- libxtst-dev,
- rpm,
- quilt (>= 0.46-7~)
-Standards-Version: 3.9.2
+ libxtst-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/ibus
 Vcs-Git: git://git.debian.org/pkg-ime/ibus-chewing.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-chewing.git
