=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf CMakeFiles NO_PACK Testing bin po/CMakeFiles
	cp debian/po-bak/* po/

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
		-DLIBEXEC_DIR=/usr/lib/ibus-chewing \
		-DSYSCONF_INSTALL_DIR=/usr/share \

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/ibus-chewing/usr/share/doc/ibus-chewing-*
