## ibus-chewing 1.4.3

=== debian/changelog ===
ibus-chewing (1.4.3-3) unstable; urgency=low

  * CMAKE should be OK without FC19 patch.
  * Removed upstream-fixed unused patches.
  * Fix debian/rules for the hardened build, correctly. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 07 Sep 2013 10:33:50 +0900

ibus-chewing (1.4.3-2) experimental; urgency=low

  * Team upload.
  * cflags.patch from FC19.
  * Fix debian/rules for the hardened build.
  * Adjust libexecdir in line with other ibus packages.
  * Build with ibus 1.5.3-4. 

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Sep 2013 00:08:40 +0900

ibus-chewing (1.4.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 10 Feb 2013 16:20:40 +0800
