=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 %:
 	dh $@
 
@@ -11,8 +14,7 @@
 	cmake -DCMAKE_INSTALL_PREFIX="/usr" \
 		-DCMAKE_VERBOSE_MAKEFILE=ON \
 		-DCMAKE_SKIP_RPATH=ON \
-		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
-		-DLIBEXEC_DIR=/usr/lib/ibus-chewing \
+		-DLIBEXEC_DIR=/usr/lib/ibus \
 		-DSYSCONF_INSTALL_DIR=/usr/share \
 
 override_dh_auto_install:
